[med-svn] [Git][med-team/lamassemble][master] 4 commits: skip test on i386

Nilesh Patra (@nilesh) gitlab at salsa.debian.org
Mon Jul 11 14:31:03 BST 2022



Nilesh Patra pushed to branch master at Debian Med / lamassemble


Commits:
5318a367 by Nilesh Patra at 2022-07-11T18:48:51+05:30
skip test on i386

- - - - -
59374f53 by Nilesh Patra at 2022-07-11T13:24:49+00:00
d/s/lintian-overrides: Update overrides

- - - - -
c78df90f by Nilesh Patra at 2022-07-11T13:27:01+00:00
Add manpage

- - - - -
45f9ea10 by Nilesh Patra at 2022-07-11T13:27:19+00:00
Upload to unstable

- - - - -


6 changed files:

- debian/changelog
- + debian/createmanpages
- + debian/lamassemble.1
- + debian/manpages
- debian/source/lintian-overrides
- debian/tests/control


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,11 @@
+lamassemble (1.4.2-4) unstable; urgency=medium
+
+  * skip test on i386
+  * d/s/lintian-overrides: Update overrides
+  * Add manpage
+
+ -- Nilesh Patra <nilesh at debian.org>  Mon, 11 Jul 2022 13:27:07 +0000
+
 lamassemble (1.4.2-3) unstable; urgency=medium
 
   * Team upload.
@@ -6,12 +14,6 @@ lamassemble (1.4.2-3) unstable; urgency=medium
 
  -- Andreas Tille <tille at debian.org>  Fri, 10 Jun 2022 15:00:47 +0200
 
-lamassemble (1.4.2-2) UNRELEASED; urgency=medium
-
-  * Team upload.
-
- -- Andreas Tille <tille at debian.org>  Fri, 10 Jun 2022 15:00:40 +0200
-
 lamassemble (1.4.2-1) unstable; urgency=medium
 
   * Initial release (Closes: #1012045)


=====================================
debian/createmanpages
=====================================
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -x /usr/bin/help2man ]; then
+    echo "E: Missing /usr/bin/help2man, please install it from the cognate package."
+    exit 1
+fi
+
+if [ ! -n "$NAME" ]; then
+    NAME=`grep "^Description:" debian/control | sed 's/^Description: *//' | head -n1`
+fi
+
+if [ ! -n "$VERSION" ]; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ {print $2}' | sed -e 's/^[0-9]*://' -e 's/-.*//' -e 's/[+~]dfsg$//'`
+fi
+
+if [ ! -n "$PROGNAME" ]; then
+    PROGNAME=`grep "^Package:" debian/control | sed 's/^Package: *//' | head -n1`
+fi
+
+MANDIR=debian
+HELPOPTION=--help
+
+echo "PROGNAME: '$PROGNAME'"
+echo "NAME:     '$NAME'"
+echo "VERSION:  '$VERSION'"
+echo "MANDIR:   '$MANDIR'"
+echo "HELPOPTION: '$HELPOPTION'"
+
+mkdir -p $MANDIR
+
+
+# If program name is different from package name or title should be
+# different from package short description change this here
+progname=${PROGNAME}
+help2man --no-info --no-discard-stderr --help-option="$HELPOPTION" \
+         --name="$NAME" \
+            --version-string="$VERSION" ${progname} > $MANDIR/${progname}.1
+
+echo "$MANDIR/*.1" > debian/manpages
+
+cat <<EOT
+Please enhance the help2man output in '$MANDIR/${progname}.1'.
+To inspect it, try 'nroff -man $MANDIR/${progname}.1'.
+If very unhappy, try passing the HELPOPTION as an environment variable.
+The following web page might be helpful in doing so:
+    http://liw.fi/manpages/
+EOT
+


=====================================
debian/lamassemble.1
=====================================
@@ -0,0 +1,65 @@
+.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.48.5.
+.TH LAMASSEMBLE "1" "July 2022" "lamassemble 1.4.2" "User Commands"
+.SH NAME
+lamassemble \- Merges overlapping "long" DNA reads into a consensus sequences
+.SH SYNOPSIS
+.B lamassemble
+[\fI\,options\/\fR] \fI\,last-train.out sequences.fx > consensus.fa\/\fR
+.SH DESCRIPTION
+Merge DNA sequences into a consensus sequence.
+.SH OPTIONS
+.TP
+\fB\-h\fR, \fB\-\-help\fR
+show this help message and exit
+.TP
+\fB\-a\fR, \fB\-\-alignment\fR
+print an alignment, not a consensus
+.TP
+\fB\-c\fR, \fB\-\-consensus\fR
+just make a consensus, of already\-aligned sequences
+.TP
+\fB\-g\fR G, \fB\-\-gap\-max\fR=\fI\,G\/\fR
+use alignment columns with <= G% gaps (default=50)
+.TP
+\fB\-\-end\fR
+\&... including gaps past the ends of the sequences
+.TP
+\fB\-s\fR S, \fB\-\-seq\-min\fR=\fI\,S\/\fR
+omit consensus flanks with < S sequences (default=1)
+.TP
+\fB\-n\fR NAME, \fB\-\-name\fR=\fI\,NAME\/\fR
+name of the consensus sequence (default=lamassembled)
+.TP
+\fB\-o\fR BASE, \fB\-\-out\fR=\fI\,BASE\/\fR
+just write MAFFT input files, named BASE.xxx
+.TP
+\fB\-p\fR P, \fB\-\-prob\fR=\fI\,P\/\fR
+use pairwise restrictions with error probability <= P
+(default=0.002)
+.TP
+\fB\-d\fR D, \fB\-\-diagonal\-max\fR=\fI\,D\/\fR
+max change in alignment diagonal between pairwise
+alignments (default=1000)
+.TP
+\fB\-v\fR, \fB\-\-verbose\fR
+show progress messages
+.TP
+\fB\-\-all\fR
+use all of each sequence, not just aligning part
+.TP
+\fB\-\-mafft\fR=\fI\,ARGS\/\fR
+additional arguments for MAFFT
+.IP
+LAST options:
+.TP
+\fB\-P\fR P
+number of parallel threads (default=1)
+.TP
+\fB\-W\fR W
+use minimum positions in length\-W windows (default=19)
+.TP
+\fB\-m\fR M
+max initial matches per query position (default=5)
+.TP
+\fB\-z\fR Z
+max gap length (default=30)


=====================================
debian/manpages
=====================================
@@ -0,0 +1 @@
+debian/*.1


=====================================
debian/source/lintian-overrides
=====================================
@@ -1,2 +1,4 @@
 # False postive, this is a data file
-lamassemble source: very-long-line-length-in-source-file debian/tests/data/lama-tests.out line 31 is 43983 characters long (>512)
+lamassemble source: very-long-line-length-in-source-file 43984 > 512 [debian/tests/data/lama-tests.out:31]
+# Testing triggers bash
+lamassemble source: test-leaves-python-version-untested [debian/tests/run-unit-test]


=====================================
debian/tests/control
=====================================
@@ -1,3 +1,4 @@
 Tests: run-unit-test
 Depends: @, python3-all
 Restrictions: allow-stderr
+Architecture: !i386



View it on GitLab: https://salsa.debian.org/med-team/lamassemble/-/compare/7d2367aea44aef70847a102913d7a47285fd6bf7...45f9ea10c1850cfa2b60ab8305d7bb6a3d8a67dc

-- 
View it on GitLab: https://salsa.debian.org/med-team/lamassemble/-/compare/7d2367aea44aef70847a102913d7a47285fd6bf7...45f9ea10c1850cfa2b60ab8305d7bb6a3d8a67dc
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20220711/f2144d47/attachment-0001.htm>


More information about the debian-med-commit mailing list